# See http://blogs.msdn.com/b/astebner/archive/2008/03/14/8214926.aspx for an explanation of this procedure
# The download links are found in 'baseline.dat'
# The destination for the files is found in 'setup.sdb'
# (These files are extracted from vcssetup.exe )

try {
    Get-ChocolateyWebFile 'VisualStudioExpress2008CS' "$env:temp\vcssetup.exe" 'http://go.microsoft.com/?linkid=7729278'
    Start-Process -FilePath "$env:temp\vcssetup.exe" -ArgumentList "/x:$env:temp\vcs /q" -Wait -Passthru
    if (!(Test-Path "$env:temp\vcs\wcu")) {
        New-Item "$env:temp\vcs\wcu" -type directory
    }
    if (!(Test-Path "$env:temp\vcs\wcu\winsdk")) {
        New-Item "$env:temp\vcs\wcu\winsdk" -type directory
    }
    if (!(Test-Path "$env:temp\vcs\wcu\smo")) {
        New-Item "$env:temp\vcs\wcu\smo" -type directory
    }
    if (!(Test-Path "$env:temp\vcs\wcu\RDBG")) {
        New-Item "$env:temp\vcs\wcu\RDBG" -type directory
    }
    if (!(Test-Path "$env:temp\vcs\wcu\RDBG\x64")) {
        New-Item "$env:temp\vcs\wcu\RDBG\x64" -type directory
    }
    if (!(Test-Path "$env:temp\vcs\wcu\SSCE")) {
        New-Item "$env:temp\vcs\wcu\SSCE" -type directory
    }


    Get-ChocolateyWebFile 'VisualCRuntime' "$env:temp\vcs\wcu\vcredist_x86.exe" 'http://go.microsoft.com/fwlink/?LinkId=119372'
    Get-ChocolateyWebFile 'WinSDK Tools for .NET' "$env:temp\vcs\wcu\winsdk\WinSDK_ExpTools.exe" 'http://go.microsoft.com/fwlink/?LinkId=119493'
    Get-ChocolateyWebFile 'WinSDK Tools for Win32' "$env:temp\vcs\wcu\winsdk\WinSDK_Exp32Tools.exe" 'http://go.microsoft.com/fwlink/?LinkId=119492'
    Get-ChocolateyWebFile 'Visual C# Installer' "$env:temp\vcs\Ixpvcs.exe" 'http://go.microsoft.com/fwlink/?LinkId=119375'

    Get-ChocolateyWebFile 'Remote Debugger (x64)' "$env:temp\vcs\wcu\RDBG\x64\expdbgsetup.exe" 'http://go.microsoft.com/fwlink/?LinkId=119519'
    Get-ChocolateyWebFile 'Shared Management Objects' "$env:temp\vcs\wcu\smo\SharedManagementObjects.msi" 'http://go.microsoft.com/fwlink/?LinkId=119367'

    Get-ChocolateyWebFile 'SQL Server CLR Types' "$env:temp\vcs\wcu\smo\SQLSysClrTypes.msi" 'http://go.microsoft.com/fwlink/?LinkId=119366'

    Get-ChocolateyWebFile 'SQL Server Compact' "$env:temp\vcs\wcu\SSCE\SSCERuntime-ENU.msi" 'http://go.microsoft.com/fwlink/?LinkId=119369'
    Get-ChocolateyWebFile 'SQL Server Compact Design Tools' "$env:temp\vcs\wcu\SSCE\SSCEVSTools-enu.msi" 'http://go.microsoft.com/fwlink/?LinkId=119370'


    Install-ChocolateyInstallPackage 'VisualCSharpExpress2008' 'exe' "/qb /norestart /log $env:temp\vs.log" "$env:temp\vcs\setup.exe"
    Write-ChocolateySuccess 'VisualCSharpExpress2008'
}
catch {
    Write-ChocolateyFailure 'VisualCSharpExpress2008'
}

